> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List equity securities held by funds



## OpenAPI

````yaml /openapi.json get /stocks
openapi: 3.0.3
info:
  title: MKK Structured Data API
  version: 0.1.0
  description: >-
    Read-only JSON API for normalized MKK/VYK PDF extraction results, portfolio
    entries, and data-quality review queues.
servers:
  - url: https://mkk.celebi.me/api
security: []
tags:
  - name: System
  - name: Funds
  - name: Sections
  - name: Documents
  - name: Line Items
  - name: Portfolio
  - name: Stocks
  - name: Quality
  - name: Exports
paths:
  /stocks:
    get:
      tags:
        - Stocks
      summary: List equity securities held by funds
      operationId: listStocks
      parameters:
        - $ref: '#/components/parameters/Q'
        - $ref: '#/components/parameters/StockLimit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          description: Paged stock list aggregated from equity portfolio sections.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StocksResponse'
components:
  parameters:
    Q:
      name: q
      in: query
      required: false
      description: Text search query.
      schema:
        type: string
    StockLimit:
      name: limit
      in: query
      required: false
      description: Maximum number of stocks to return.
      schema:
        type: integer
        minimum: 1
        maximum: 1000
    Offset:
      name: offset
      in: query
      required: false
      description: Number of rows to skip.
      schema:
        type: integer
        minimum: 0
  schemas:
    StocksResponse:
      type: object
      properties:
        total:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
        stocks:
          type: array
          items:
            $ref: '#/components/schemas/StockSummary'
      required:
        - total
        - limit
        - offset
        - stocks
    StockSummary:
      type: object
      properties:
        key:
          type: string
        security:
          type: string
          nullable: true
        issuer:
          type: string
          nullable: true
        isin:
          type: string
          nullable: true
        sections:
          type: array
          items:
            type: string
        entry_count:
          type: integer
        document_count:
          type: integer
        fund_count:
          type: integer
        latest_holder_count:
          type: integer
        latest_market_value:
          type: number
          nullable: true
        average_weight:
          type: number
          nullable: true
        max_weight:
          type: number
          nullable: true
        latest_period:
          type: string
          nullable: true

````